% the borehole test function
% http://www.sfu.ca/~ssurjano/borehole.html
k=8;
% water flow rate in m^3/yr
model=@(x)...
 2*pi*x(:,3).*(x(:,4)-x(:,6)) ./(2*x(:,7).*x(:,3)./(x(:,1).^2.*x(:,8))+ ...
     (log(x(:,2))-log(x(:,1))).*(1+x(:,3)./x(:,5)));
%  name min max description unit
d={{'r_w', .05,.15,'radius of borehole','m'},...
   {'r', 100, 50000,'radius of influence','m'},...
   {'T_u',63070,115600,'transmissivity of upper aquifer','m^2/yr'},...
   {'H_u',990,1110,'potentiometric head of upper aquifer','m'},...
   {'T_l',63.1,116,'transmissivity of lower aquifer','m^2/yr'},...
   {'H_l',700,820,'potentiometric head of lower aquifer','m'},...
   {'L',1120,1680,'length of borehole','m'},...
   {'K_w',9855,12045,'hydraulic conductivity of borehole','m/yr'}};
trafo=@(u)[norminv(u(:,1),.1,.0161812),...
           exp(norminv(u(:,2),7.71,1.0056)),...
           u(:,3)*(115600-63070)+63070,...
           u(:,4)*(1110-990)+990,...
           u(:,5)*(116-63.1)+63.1,...
           u(:,6)*(820-700)+700,...
           u(:,7)*(1680-1120)+1120,...
           u(:,8)*(12045-9855)+9855];
           